API v1 ReferenceCustom fields
Create a custom field template
Create a new custom field template for the tenant. Browse request parameters, authentication requirements, response payloads, and working code samples in the…
Create a new custom field template for the tenant.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.orbiqhq.com/api/v1/custom-fields" \ -H "Content-Type: application/json" \ -d '{ "title": "Region", "collection": "accounts", "type": "select", "always_ask": false, "required": true, "display": [ "header", "document" ], "translations": [ { "languages_code": "en-US", "title": "Region" }, { "languages_code": "fr-FR", "title": "Région" } ], "options": [ { "value": "emea", "label": [ { "languages_code": "en-US", "translation": "EMEA" }, { "languages_code": "fr-FR", "translation": "Europe" } ] } ] }'{
"success": true,
"data": {
"id": "string",
"title": "string",
"collection": "accounts",
"type": "text",
"always_ask": true,
"required": true,
"display": [
"header"
],
"default_value": "string",
"order": 0,
"translations": [
{
"languages_code": "en-US",
"title": "string"
}
],
"options": [
{
"value": "string",
"label": [
{
"languages_code": "en-US",
"translation": "string"
}
]
}
]
}
}{
"error": "string",
"details": [
"string"
]
}Empty
Empty
How is this guide?